Subject: Re: bug#7966: 23.1.50; bold property, dark background, and defface

From: "Jose F. Morales" <[email-masked]>
Date: Fri, 4 Feb 2011 10:08:52 +0100

On Fri, Feb 4, 2011 at 4:25 AM, Glenn Morris <[email-masked]> wrote:
>
> "Jose F. Morales" wrote:
>
>> Is it a bug or the expected behaviour?
>
> I would say a bug. (This issue still occurs in the current trunk on GNU/Linux.)
>
>> Can I safely replaced ":bold t" by ":weight bold"?
>
> Yes. The former exists for compatibility with Emacs 20.
>
>> In GNU Emacs 23.1.50.1 (x86_64-apple-darwin10.2.0, NS apple-appkit-1038.25)
>>  of 2009-12-08 on huygens.local
>
> That is a very early pre-release of what became 23.2. There is no reason
> to use that instead of the 23.2 release.

All right. Thank you for the quick answer.

BTW, I have checked that the font-locking part of many .el files still
use the old ":bold t" (e.g., org-mode), and so, are misbehaving. I
understand that switching from bright to dark background on-the-fly is
not a common action. Nevertheless, a short line in the emacs
documentation (unless it is trivial to fix) would save a lot of
headaches :)

Cheers,
Jose